
Redmine - Defect #7666

Deleting multiple subtasks brokes nested set hierarchy

2011-02-20 23:03 - Dennis Garoufalis

Status: Closed Start date: 2011-02-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.1

Description

Create two subtasks under an issue.

While on the issue list select both subtasks and delete.

Hierarchy is broken, lft and rgt fields have wrong values.

I will be available 24/7 regarding this issue as our company is trying to deploy redmine as a major tool and it is critical to maintain a

stable environment.

Great project !

Redmine 1.1.1.stable.4877 (MySQL)

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/redmine_mp

Environment               production

Database adapter          mysql

Database schema version   20101114115359

Related issues:

Related to Redmine - Defect #6579: Tree hierachy being currupted on multiple ... Closed 2010-10-05

History

#1 - 2011-02-23 18:02 - Jean-Philippe Lang

Using current trunk, I'm not able to reproduce. Selecting and deleting the 2 children properly updates parent's lft/rgt values.

#2 - 2011-04-26 10:25 - Contributor STUDEC

- File studec_patch_ex_parent_task_fields.zip added

We had the same problem with the 1.0.1 version of Redmine (we can not use the current trunk for now because of plugins compatibility).

We developed a patch to correct it. In the version 1.0.1 of Redmine, the children are deleted in the wrong order, ordering the "@issues" before the

"destroy" of the issues_controller seems fix the problem.

Here is the patch developed by Studec. It is like a plugin, just copy/paste in the plugins directory (vendor/plugins).

Hope it will help.

#3 - 2011-10-22 18:13 - liku xiong·

- % Done changed from 0 to 20

#4 - 2011-10-22 18:13 - liku xiong·

- Status changed from New to Resolved
#5 - 2011-10-23 00:21 - Toshi MARUYAMA

- Status changed from Resolved to New

- Priority changed from Urgent to Normal

- % Done changed from 20 to 0

#6 - 2014-02-25 03:41 - Toshi MARUYAMA

- Status changed from New to Closed

This issue is too old.

awesome_nested_set implementation changed in Rails2 and Rails3.

Files

studec_patch_ex_parent_task_fields.zip 7.9 KB 2011-04-26 Contributor STUDEC
